Puppet Enterprise többszörös sérülékenysége

CH azonosító

CH-9657

Angol cím

Puppet Enterprise Multiple Vulnerabilities

Felfedezés dátuma

2013.08.15.

Súlyosság

Alacsony

Érintett rendszerek

Puppet Enterprise
Puppet Labs

Érintett verziók

3.0.1. előtti verziók

Összefoglaló

Többszörös sérülékenységet jelentettek a Puppet Enterprise-ban.

Leírás

Többszörös sérülékenységet jelentettek a Puppet Enterprise-ban, amelyet rosszindulatú, kiterjesztett jogosultsággal rendelkező, helyi felhasználók kihasználva támadásokat hajthatnak végre.

1. Az alkalmazás kötegek sérülékenysége a Ruby verzióban

2. A “resource_type” szolgáltatás sérülékenysége lehetővé teszi tetszőleges fájlok betöltését a Puppet rendszer fájljaiból. Sikeres kihasználásához szükséges, hogy a szolgáltatás engedélyezve legyen (alapértelmezetten tiltva van).



Megoldás

Frissítsen a legújabb verzióra

Megoldás

Frissítsen a 3.0.1. verzióra